/****************************************************************************
** Form implementation generated from reading ui file './currentchat.ui'
**
** Created: Пнд Май 17 07:37:14 2004
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "currentchat.h"
#include "unixsocket.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a CurrentChat which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
CurrentChat::CurrentChat( UnixSocket *def_unix_socket, QWidget* parent,  const char* name, WFlags fl,
            QHostAddress *def_ip_address, QString *def_alias )
    : QWidget( parent, name, fl )
{
    if( !name ) {
        setName( "CurrentChat" );
    }

    resize( 364, 344 );
    setCaption( trUtf8( "" ) );

    message = new QTextEdit( this, "message" );
    message->setGeometry( QRect( 10, 170, 366, 121 ) );
    message->setTextFormat( Qt::PlainText );

    chat = new QTextEdit( this, "chat" );
    chat->setGeometry( QRect( 10, 10, 366, 151 ) );
    chat->setReadOnly( TRUE );
    chat->setTextFormat( Qt::PlainText );


    button_send = new QPushButton( this, "button_send" );
    button_send->setGeometry( QRect( 225, 300, 70, 26 ) );
    button_send->setText( trUtf8( "Send" ) );

    button_close = new QPushButton( this, "button_close" );
    button_close->setGeometry( QRect( 305, 300, 70, 26 ) );
    button_close->setText( trUtf8( "Close" ) );

    button_clear = new QPushButton( this, "button_clear" );
    button_clear->setGeometry( QRect( 10, 300, 70, 26 ) );
    button_clear->setText( trUtf8( "Clear" ) );


    if( def_ip_address ) {
       ip_address = def_ip_address;
    }

    if( def_alias )
    {
       alias = def_alias;
    }

    unix_socket = def_unix_socket;

    connect( button_send, SIGNAL( released() ), this, SLOT( sendButtonReleased() ) );
    connect( button_clear, SIGNAL( released() ), this, SLOT( clearButtonReleased() ) );
    connect( button_close, SIGNAL( released() ), this, SLOT( closeButtonReleased() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
CurrentChat::~CurrentChat()
{
    // no need to delete child widgets, Qt does it all for us
}

#include "currentchat.moc"

void CurrentChat::sendButtonReleased()
{

    chat->append( QString( "You wrote :" ) );
    chat->append( message->text() );

    unix_socket->Send( &message->text(), ip_address );
    message->clear();
}


void CurrentChat::clearButtonReleased()
{
    chat->clear();
}

void CurrentChat::closeButtonReleased()
{
    chat->clear();
}
