#ifndef NEWCONTACTDIALOG_H
#define NEWCONTACTDIALOG_H


#include <qvariant.h>
#include <qdialog.h>
#include <qhostaddress.h>
#include <qstring.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QLineEdit;
class QPushButton;

class NewContactDialog : public QDialog
{ 
    Q_OBJECT

public:
    NewContactDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~NewContactDialog();

    QLabel* text_label;
    QPushButton* button_cancel;
    QLineEdit* ip_edit_field;
    QPushButton* button_ok;


public slots:
    virtual void init();
    virtual void buttonCancelReleased();
    virtual void buttonOkReleased();


protected:

    friend class SchatContactList;
    SchatContactList *my_parent;
};

#endif // NEWCONTACTDIALOG_H
